Bug 219266 - games/openomf: Fix OpenAL dependency
Summary: games/openomf: Fix OpenAL dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D10788
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-05-13 23:03 UTC by Tobias Kortkamp
Modified: 2017-05-30 16:42 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (devel)


Attachments
openomf.diff (807 bytes, patch)
2017-05-13 23:03 UTC, Tobias Kortkamp
tobik: maintainer-approval? (devel)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2017-05-13 23:03:54 UTC
Created attachment 182579 [details]
openomf.diff

games/openomf has a direct dependency on audio/openal and installing
it will lead to conflicts like the one below.  The default OpenAL
implementation is audio/openal-soft and other games install it
normally.  The attached patch changes the port to USES=openal which
should resolve issues like this.

audio/openal is also unmaintained and most likely the wrong choice
anyway.  Upstream links to http://kcat.strangesoft.net/openal.html in
INSTALL.md which is the WWW of audio/openal-soft.

-----------------------------------------------------------------

The following 2 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	openomf: 0.6.5_1 [FreeBSD]
	openal: 20060211_15 [FreeBSD]

Number of packages to be installed: 2

The process will require 15 MiB more space.
5 MiB to be downloaded.

Proceed with this action? [y/N]: y
[1/2] Fetching openomf-0.6.5_1.txz: 100%    5 MiB   1.4MB/s    00:04    
[2/2] Fetching openal-20060211_15.txz: 100%  142 KiB 145.9kB/s    00:01    
Checking integrity... done (1 conflicting)
  - openal-20060211_15 [FreeBSD] conflicts with openal-soft-1.17.2_2 [installed] on /usr/local/include/AL/al.h
Checking integrity... done (0 conflicting)
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
Comment 1 devel 2017-05-18 08:56:29 UTC
Ok, let's commit it.(In reply to Tobias Kortkamp from comment #0)
Comment 2 Tobias Kortkamp freebsd_committer 2017-05-18 09:02:49 UTC
Thanks!
Comment 3 commit-hook freebsd_committer 2017-05-30 16:42:14 UTC
A commit references this bug:

Author: tobik
Date: Tue May 30 16:41:41 UTC 2017
New revision: 442103
URL: https://svnweb.freebsd.org/changeset/ports/442103

Log:
  Fix OpenAL dependency

  PR:		219266
  Approved by:	lme (mentor), devel@stasyan.com (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D10788

Changes:
  head/games/openomf/Makefile